Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkCoreScopeConfiguration<TScope, TKey>

Defines a relational mapping for the Scope entity.

##### Inheritance

System.Object
OpenIddictEntityFrameworkCoreScopeConfiguration<TScope, TKey>

###### Namespace: OpenIddict.EntityFrameworkCore

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkCoreScopeConfiguration<TScope, TKey> : IEntityTypeConfiguration<TScope> where TScope : OpenIddictEntityFrameworkCoreScope<TKey> where TKey : IEquatable<TKey>

##### Type Parameters

Name | Description
--- | ---
TScope | The type of the Scope entity.
TKey | The type of the Key entity.

### Methods

#### Configure(EntityTypeBuilder<TScope>)

##### Declaration

    public void Configure(EntityTypeBuilder<TScope> builder)

##### Parameters

Type | Name | Description
--- | --- | ---
EntityTypeBuilder<TScope> | builder |